## org.eclipse.amp.escape.ide
Class PluginTemplateProjectWizard

    java.lang.Object
      org.eclipse.jface.wizard.Wizard
          org.eclipse.amp.escape.ide.ProjectWizard
              org.eclipse.amp.escape.ide.PluginTemplateProjectWizard

All Implemented Interfaces:
  org.eclipse.core.runtime.IExecutableExtension, org.eclipse.jface.wizard.IWizard, org.eclipse.ui.INewWizard, org.eclipse.ui.IWorkbenchWizard

Direct Known Subclasses:
  AscapeProjectWizard, EscapeAMFProjectWizard, EscapeJavaPluginProjectWizard

    public abstract class PluginTemplateProjectWizard

extends ProjectWizard
implements org.eclipse.core.runtime.IExecutableExtension

Creates a plugin project, creating MANIFEST.MF and plugin.properties files from scratch.

Author:
  milesparker, jonas.ruettimann

Field Summary
`static java.lang.String` `CONF_EXTPOINT_ID` ID of the new-wizard configuration extension point.

Fields inherited from class org.eclipse.jface.wizard.Wizard
`DEFAULT_IMAGE`

Constructor Summary
`PluginTemplateProjectWizard()`

Method Summary
`protected void` `createFiles()` Copies template PDE project files into target project and replaces template values with those of project.
`protected java.util.List<java.lang.String>` `getBuilders()`
`protected java.util.Set<java.lang.String>` `getDependenciesForManifest()` Overwrite this method to let a certain subclass behave more specifically.
`protected java.util.Set<java.lang.String>` `getImportsForManifest()` Overwrite this method to let a certain subclass behave more specifically.
`protected java.util.List<java.lang.String>` `getNatures()`
`protected java.lang.String` `getWizardId()`
`void` `setInitializationData(org.eclipse.core.runtime.IConfigurationElement config, java.lang.String propertyName, java.lang.Object data)`

Methods inherited from class org.eclipse.amp.escape.ide.ProjectWizard
`addPages, getClasspathsEntries, getCurrentPluginID, getProject, getProjectTypeName, getSourceDirName, init, performFinish`

Methods inherited from class org.eclipse.jface.wizard.Wizard

`addPage, canFinish, createPageControls, dispose, getContainer, getDefaultPageImage, getDialogSettings, getNextPage, getPage, getPageCount, getPages, getPreviousPage, getShell, getStartingPage, getTitleBarColor, getWindowTitle, isHelpAvailable, needsPreviousAndNextButtons, needsProgressMonitor, performCancel, setContainer, setDefaultPageImageDescriptor, setDialogSettings, setForcePreviousAndNextButtons, setHelpAvailable, setNeedsProgressMonitor, setTitleBarColor, setWindowTitle`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.eclipse.jface.wizard.IWizard
`canFinish, createPageControls, dispose, getContainer, getDefaultPageImage, getDialogSettings, getNextPage, getPage, getPageCount, getPages, getPreviousPage, getStartingPage, getTitleBarColor, getWindowTitle, isHelpAvailable, needsPreviousAndNextButtons, needsProgressMonitor, performCancel, setContainer`

Field Detail

### CONF_EXTPOINT_ID

    public static final java.lang.String CONF_EXTPOINT_ID

  ID of the new-wizard configuration extension point.

  See Also:
    Constant Field Values

Constructor Detail

### PluginTemplateProjectWizard

    public PluginTemplateProjectWizard()

Method Detail

### setInitializationData

    public void setInitializationData(org.eclipse.core.runtime.IConfigurationElement config,
                                      java.lang.String propertyName,
                                      java.lang.Object data)
                               throws org.eclipse.core.runtime.CoreException

  Specified by:
    `setInitializationData` in interface `org.eclipse.core.runtime.IExecutableExtension`
  Throws:
    `org.eclipse.core.runtime.CoreException`

### createFiles

    protected void createFiles()
                        throws org.eclipse.core.runtime.CoreException,
                               java.io.IOException

  Copies template PDE project files into target project and replaces template values with those of project.

  Overrides:
    `createFiles` in class `ProjectWizard`
  Throws:
    `org.eclipse.core.runtime.CoreException`
    `java.io.IOException`

### getBuilders

    protected java.util.List<java.lang.String> getBuilders()

  Overrides:
    `getBuilders` in class `ProjectWizard`

### getNatures

    protected java.util.List<java.lang.String> getNatures()

  Overrides:
    `getNatures` in class `ProjectWizard`

### getImportsForManifest

    protected java.util.Set<java.lang.String> getImportsForManifest()

  Overwrite this method to let a certain subclass behave more specifically. Use extension point `CONF_EXTPOINT_ID` to make all wizards with a certain ID behave more specifically if the extending Plug-in is present.

  Returns:
    list of packages that should be added as imports in the MANIFEST.MF

### getDependenciesForManifest

    protected java.util.Set<java.lang.String> getDependenciesForManifest()

  Overwrite this method to let a certain subclass behave more specifically. Use extension point `CONF_EXTPOINT_ID` to make all wizards with a certain ID behave more specifically if the extending Plug-in is present.

  Returns:
    list of bundles that should be added as dependencies in the MANIFEST.MF

### getWizardId

    protected java.lang.String getWizardId()

  Returns:
    the ID under which this wizard has been registered in the extension point registry